: Class UnifiedMessageDisplayManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.ui
Class UnifiedMessageDisplayManager

    java.lang.Object
      |
      +--grendel.ui.MessageDisplayManager
            |
            +--grendel.ui.UnifiedMessageDisplayManager

public class UnifiedMessageDisplayManager
extends MessageDisplayManager

The legendary three pane UI.

Field Summary
`static java.lang.String` | `SPLIT_LEFT`
`static java.lang.String` | `SPLIT_RIGHT`
`static java.lang.String` | `SPLIT_TOP`
`static java.lang.String` | `STACKED`

Constructor Summary
`UnifiedMessageDisplayManager()`

Method Summary
`void` | `displayFolder(javax.mail.Folder aFolder)` Displays a folder given a folder object.
`void` | `displayFolder(javax.mail.Folder aFolder, javax.mail.Message aMessage)` Displays folder given a Folder object and selects and displays a message in that folder given a Message object.
`void` | `displayMaster()` Displays the master (A folder tree, for now).
`void` | `displayMaster(javax.mail.Folder aFolder)` Displays the master with the given folder selected.
`void` | `displayMessage(javax.mail.Message aMessage)` Displays a message given a Message object.

Methods inherited from class grendel.ui.MessageDisplayManager
`GetDefaultManager, SetDefaultManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPLIT_TOP

    public static final java.lang.String SPLIT_TOP

### SPLIT_LEFT

    public static final java.lang.String SPLIT_LEFT

### SPLIT_RIGHT

    public static final java.lang.String SPLIT_RIGHT

### STACKED

    public static final java.lang.String STACKED

Constructor Detail

### UnifiedMessageDisplayManager

    public UnifiedMessageDisplayManager()

Method Detail

### displayMessage

    public void displayMessage(javax.mail.Message aMessage)

  Displays a message given a Message object. If the message is not in the currently selected folder, that folder will be selected, loaded and displayed.
  Overrides:
    displayMessage in class MessageDisplayManager

### displayFolder

    public void displayFolder(javax.mail.Folder aFolder)

  Displays a folder given a folder object. If the message being displayed is not in that folder, the message display pane will be cleared.
  Overrides:
    displayFolder in class MessageDisplayManager

### displayFolder

    public void displayFolder(javax.mail.Folder aFolder,
                              javax.mail.Message aMessage)

  Displays folder given a Folder object and selects and displays a message in that folder given a Message object.
  Overrides:
    displayFolder in class MessageDisplayManager

### displayMaster

    public void displayMaster()

  Displays the master (A folder tree, for now). This should not affect displayed folders or messages.
  Overrides:
    displayMaster in class MessageDisplayManager

### displayMaster

    public void displayMaster(javax.mail.Folder aFolder)

  Displays the master with the given folder selected. If the folder is not currently displayed, the folder will be loaded in the folder message list pane, and the message pane will be cleared.
  Overrides:
    displayMaster in class MessageDisplayManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD